# Method: customers.reports.countChromeVersions

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.CountChromeVersionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#body.aspect)
- [BrowserVersion](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#BrowserVersion)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#BrowserVersion.SCHEMA_REPRESENTATION)
- [ReleaseChannel](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#ReleaseChannel)
- [DeviceSystem](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#DeviceSystem)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#try-it)

Generate report of installed Chrome versions.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countChromeVersions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` The ID of the organizational unit. |
| `pageSize` | `integer` Maximum number of results to return. Maximum and default are 100. |
| `pageToken` | `string` Token to specify the page of the request to be returned. |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Supported filter fields: - last_active_date |

### Request body

The request body must be empty.

### Response body

Response containing requested browser versions details and counts.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "browserVersions": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#BrowserVersion`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `browserVersions[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#BrowserVersion`)`` List of all browser versions and their install counts. |
| `nextPageToken` | `string` Token to specify the next page of the request. |
| `totalSize` | `integer` Total number browser versions matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## BrowserVersion

Describes a browser version and its install count.

| JSON representation |
|---|
| ``` { "version": string, "count": string, "channel": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#ReleaseChannel`), "system": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#DeviceSystem`), "deviceOsVersion": string } ``` |

| Fields ||
|---|---|
| `version` | `string` Output only. The full version of the installed browser. |
| `count` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Count grouped by device_system and major version |
| `channel` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#ReleaseChannel`)`` Output only. The release channel of the installed browser. |
| `system` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeVersions#DeviceSystem`)`` Output only. The device operating system. |
| `deviceOsVersion` | `string` Output only. Version of the system-specified operating system. |

## ReleaseChannel

The release channel of the installed browser.

| Enums ||
|---|---|
| `RELEASE_CHANNEL_UNSPECIFIED` | No release channel specified. |
| `CANARY` | Canary release channel. |
| `DEV` | Dev release channel. |
| `BETA` | Beta release channel. |
| `STABLE` | Stable release channel. |

## DeviceSystem

The device operating system.

| Enums ||
|---|---|
| `DEVICE_SYSTEM_UNSPECIFIED` | No operating system specified. |
| `SYSTEM_OTHER` | Other operating system. |
| `SYSTEM_ANDROID` | Android operating system. |
| `SYSTEM_IOS` | Apple iOS operating system. |
| `SYSTEM_CROS` | ChromeOS operating system. |
| `SYSTEM_WINDOWS` | Microsoft Windows operating system. |
| `SYSTEM_MAC` | Apple macOS operating system. |
| `SYSTEM_LINUX` | Linux operating system. |